1. Forms
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
      GET
    • Create and design a form
      POST
    • Update many forms
      POST
    • Delete many forms
      POST
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Forms

Get all forms

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
GET
/forms

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-35.elogii.com/forms' \
--header 'Authorization: <api-key>'
Response Response Example
[
    {
        "_id": "696e2f05deff31c73d70adfd",
        "organization": "64706d34cb58b5e134516000",
        "path": "64706d34cb58b5e1345160d2",
        "name": "Check box",
        "createdBy": {
            "_id": "64706d34cb58b5e1345160d4",
            "info": {
                "uid": "U-GSFRUDRV",
                "email": "stephaniek@elogii.com",
                "role": "admin",
                "name": "Stephanie Kimani"
            }
        },
        "tags": [],
        "history": [
                     {
                "data": {
                    "design": {
                        "components": [
                            {
                                "id": "timePicker-1770916478828",
                                "type": "timePicker",
                                "containerId": "root",
                                "config": {
                                    "type": "timePicker",
                                    "input": true,
                                    "label": "Time",
                                    "attributes": {
                                        "required": false,
                                        "disabled": false,
                                        "format": "YYYY-MM-DD"
                                    }
                                }
                            }
                        ]
                    }
                },
                "actor": {
                    "requestId": "1770921687302:ip-10-0-133-42.eu-west-1.compute.internal:26:mljg53g0:37912",
                    "organizationId": "64706d34cb58b5e1345160d2",
                    "organizationSlug": "stephanie-test",
                    "userId": "64706d34cb58b5e1345160d4",
                    "userType": 20,
                    "userLevel": 20,
                    "email": "stephanie@elogii.com",
                    "action": "Forms.update",
                    "internal": true
                }
            },
            {
                "data": {
                    "design": {
                        "components": [
                            null,
                            null,
                            null,
                            {
                                "id": "slider-1771348637489",
                                "type": "slider",
                                "containerId": "root",
                                "config": {
                                    "type": "slider",
                                    "input": true,
                                    "label": "Test Count",
                                    "showMarks": true,
                                    "attributes": {
                                        "required": false,
                                        "disabled": false,
                                        "min": 0,
                                        "max": 10,
                                        "step": 1,
                                        "dots": true
                                    }
                                }
                            }
                        ]
                    }
                },
                "actor": {
                    "requestId": "1771348699468:ip-10-0-165-179.eu-west-1.compute.internal:29920:mll8o5pi:98086",
                    "organizationId": "64706d34cb58b5e1345160d2",
                    "organizationSlug": "stephanie-test",
                    "userId": "64706d34cb58b5e1345160d4",
                    "userType": 20,
                    "userLevel": 20,
                    "email": "stephanie@elogii.com",
                    "action": "Forms.update",
                    "internal": true
                }
            }
        ],
        "uid": "FORM-DNQQ687M",
        "createdAt": "2026-01-19T13:17:57.747Z",
        "updatedAt": "2026-02-17T17:18:19.471Z",
        "__v": 0,
        "design": {
            "id": "root",
            "components": [
                {
                    "id": "timePicker-1770916478828",
                    "type": "timePicker",
                    "containerId": "root",
                    "config": {
                        "type": "timePicker",
                        "input": true,
                        "label": "Time",
                        "attributes": {
                            "required": false,
                            "disabled": false,
                            "format": "YYYY-MM-DD"
                        }
                    }
                },
                {
                    "id": "datePicker-1770916488201",
                    "type": "datePicker",
                    "containerId": "root",
                    "config": {
                        "type": "datePicker",
                        "input": true,
                        "label": "Date",
                        "attributes": {
                            "required": false,
                            "disabled": false,
                            "format": "YYYY-MM-DD"
                        }
                    }
                },
                {
                    "id": "number-1770916495934",
                    "type": "number",
                    "containerId": "root",
                    "config": {
                        "type": "number",
                        "input": true,
                        "label": "Number Input",
                        "attributes": {
                            "required": false,
                            "disabled": false,
                            "type": "number",
                            "placeholder": "Enter number",
                            "min": 0,
                            "max": 999999,
                            "step": 1
                        }
                    }
                },
                {
                    "id": "slider-1771348637489",
                    "type": "slider",
                    "containerId": "root",
                    "config": {
                        "type": "slider",
                        "input": true,
                        "label": "Test Count",
                        "showMarks": true,
                        "attributes": {
                            "required": false,
                            "disabled": false,
                            "min": 0,
                            "max": 10,
                            "step": 1,
                            "dots": true
                        }
                    }
                }
            ]
        }
    },
    {
        "_id": "696e2df2329acf682a6b00df",
        "organization": "64706d34cb58b5e134516000",
        "path": "64706d34cb58b5e1345160d2",
        "name": "Date",
        "createdBy": {
            "_id": "64706d34cb58b5e1345160d4",
            "info": {
                "uid": "U-GSFRUDRV",
                "email": "stephaniek@elogii.com",
                "role": "admin",
                "name": "Stephanie Kimani"
            }
        },
        "tags": [],
        "history": [
            {
                "data": {
                    "event": "created"
                },
                "actor": {
                    "requestId": "1768828402365:ip-10-0-159-233.eu-west-1.compute.internal:25:mkkk16co:54675",
                    "organizationId": "64706d34cb58b5e134516000",
                    "organizationSlug": "stephanie-test",
                    "userId": "64706d34cb58b5e1345160d4",
                    "userType": 20,
                    "userLevel": 20,
                    "email": "stephaniek@elogii.com",
                    "action": "Forms.create",
                    "internal": true
                }
            },
            {
                "data": {
                    "design": {
                        "id": "root",
                        "components": [
                            {
                                "id": "datePicker-1768828414633",
                                "type": "datePicker",
                                "containerId": "root",
                                "config": {
                                    "type": "datePicker",
                                    "input": true,
                                    "label": "Date",
                                    "attributes": {
                                        "required": false,
                                        "disabled": false,
                                        "format": "YYYY-MM-DD"
                                    }
                                }
                            }
                        ]
                    }
                },
                "actor": {
                    "requestId": "1768828421263:ip-10-0-159-233.eu-west-1.compute.internal:25:mkkk16co:54688",
                    "organizationId": "64706d34cb58b5e134516000",
                    "organizationSlug": "test",
                    "userId": "64706d34cb58b5e1345160d4",
                    "userType": 20,
                    "userLevel": 20,
                    "email": "stephaniek@elogii.com",
                    "action": "Forms.update",
                    "internal": true
                }
            }
        ],
        "uid": "FORM-CNRCYLXI",
        "createdAt": "2026-01-19T13:13:22.367Z",
        "updatedAt": "2026-01-19T13:13:41.265Z",
        "__v": 0,
        "design": {
            "id": "root",
            "components": [
                {
                    "id": "datePicker-1768828414633",
                    "type": "datePicker",
                    "containerId": "root",
                    "config": {
                        "type": "datePicker",
                        "input": true,
                        "label": "Date",
                        "attributes": {
                            "required": false,
                            "disabled": false,
                            "format": "YYYY-MM-DD"
                        }
                    }
                }
            ]
        }
    }
]
Modified at 2026-02-24 23:36:42
Previous
Run optimization for a date range
Next
Create and design a form
Built with